Ask Kevin is smarter.
OmniDimension
Simulation

Update simulation

Update an existing simulation. Pass the full `scenarios` array (existing entries you want to keep plus any changes).

PUT/simulations/
Path parameters
simulation_idrequired
Body
6 fields
·

Name of the simulation for identification.

ID of the agent to test.

curl -X PUT 'https://backend.omnidim.io/api/v1/simulations/{simulation_id}' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example response
{
  "success": true,
  "simulation": {
    "id": 456,
    "name": "Customer Support Test (Updated)",
    "bot_id": {
      "id": 1234,
      "name": "Customer Support Agent"
    },
    "status": "Draft",
    "number_of_call_to_make": 1,
    "concurrent_call_count": 3,
    "max_call_duration_in_minutes": 5
  }
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Path Parameters

simulation_id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json